> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cross Margin Liquidations

> Lists historical liquidation records for an XM customer



## OpenAPI

````yaml get /v1/entities/{entity_id}/cross_margin/liquidations
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/cross_margin/liquidations:
    get:
      tags:
        - Financing
      summary: List Cross Margin Liquidations
      description: Lists historical liquidation records for an XM customer
      operationId: PrimeRESTAPI_ListXMLiquidations
      parameters:
        - name: entity_id
          in: path
          description: XM customer Prime Entity ID
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor for pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results to return per page
          schema:
            type: integer
            format: int32
        - name: sort_direction
          in: query
          description: Sort direction for results
          schema:
            type: string
            default: DESC
            enum:
              - DESC
              - ASC
        - name: status
          in: query
          description: |-
            Filter results by liquidation status

             - XM_LIQUIDATION_STATUS_PRE_LIQUIDATION: Liquidation is in the pre-liquidation phase
             - XM_LIQUIDATION_STATUS_LIQUIDATING: Liquidation is actively in progress
             - XM_LIQUIDATION_STATUS_LIQUIDATED: Liquidation has completed successfully
             - XM_LIQUIDATION_STATUS_CANCELED: Liquidation was canceled
             - XM_LIQUIDATION_STATUS_FAILED: Liquidation failed
          schema:
            type: string
            default: XM_LIQUIDATION_STATUS_UNSET
            enum:
              - XM_LIQUIDATION_STATUS_UNSET
              - XM_LIQUIDATION_STATUS_PRE_LIQUIDATION
              - XM_LIQUIDATION_STATUS_LIQUIDATING
              - XM_LIQUIDATION_STATUS_LIQUIDATED
              - XM_LIQUIDATION_STATUS_CANCELED
              - XM_LIQUIDATION_STATUS_FAILED
        - name: start_time
          in: query
          description: Filter results to liquidations created at or after this time
          schema:
            type: string
            format: date-time
        - name: end_time
          in: query
          description: Filter results to liquidations created at or before this time
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListXMLiquidationsResponse
components:
  schemas:
    coinbase.public_rest_api.ListXMLiquidationsResponse:
      title: >-
        ListXMLiquidationsResponse contains a paginated list of XM liquidation
        summaries
      type: object
      properties:
        liquidations:
          type: array
          description: List of XM liquidation summaries
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.XMLiquidationSummary'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
    coinbase.public_rest_api.XMLiquidationSummary:
      title: XMLiquidationSummary provides a summary of a single XM liquidation
      type: object
      properties:
        liquidation_id:
          type: string
          description: Financing liquidation UUID
          example: 63a2577a-930d-413b-81e4-9e77765da8f9
        status:
          $ref: '#/components/schemas/coinbase.public_rest_api.XMLiquidationStatus'
        shortfall_amount:
          type: string
          description: USD notional shortfall amount that triggered the liquidation
          example: '32083.26'
        filled_amount:
          type: string
          description: USD notional amount that has been filled so far
          example: '15000.00'
        remaining_amount:
          type: string
          description: USD notional amount remaining to be liquidated
          example: '17083.26'
        created_at:
          type: string
          description: Timestamp when the liquidation was created
          format: date-time
        completed_at:
          type: string
          description: Timestamp when the liquidation was completed
          format: date-time
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.XMLiquidationStatus:
      title: XMLiquidationStatus is the current status of an XM liquidation
      type: string
      description: >-
        - XM_LIQUIDATION_STATUS_PRE_LIQUIDATION: Liquidation is in the
        pre-liquidation phase
         - XM_LIQUIDATION_STATUS_LIQUIDATING: Liquidation is actively in progress
         - XM_LIQUIDATION_STATUS_LIQUIDATED: Liquidation has completed successfully
         - XM_LIQUIDATION_STATUS_CANCELED: Liquidation was canceled
         - XM_LIQUIDATION_STATUS_FAILED: Liquidation failed
      default: XM_LIQUIDATION_STATUS_UNSET
      enum:
        - XM_LIQUIDATION_STATUS_UNSET
        - XM_LIQUIDATION_STATUS_PRE_LIQUIDATION
        - XM_LIQUIDATION_STATUS_LIQUIDATING
        - XM_LIQUIDATION_STATUS_LIQUIDATED
        - XM_LIQUIDATION_STATUS_CANCELED
        - XM_LIQUIDATION_STATUS_FAILED
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC

````